summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-01-26 09:42:27 +1100
committerAndrew Bartlett <abartlet@samba.org>2012-02-01 02:45:07 +0100
commiteecf2ac4c83e730dd402c410f7f2087d87d70d6f (patch)
tree7bad5417dcee2554abe313eb60a7707bcb81fd35
parentb7d5d01c35b875c0458a0c7145f3d67e7f731eba (diff)
downloadsamba-eecf2ac4c83e730dd402c410f7f2087d87d70d6f.tar.gz
samba-eecf2ac4c83e730dd402c410f7f2087d87d70d6f.tar.bz2
samba-eecf2ac4c83e730dd402c410f7f2087d87d70d6f.zip
selftest: Remove unused support for --exeext
-rwxr-xr-xlib/ldb/tests/test-extended.sh6
-rwxr-xr-xlib/ldb/tests/test-generic.sh72
-rw-r--r--lib/ldb/tests/test-tdb-features.sh34
-rwxr-xr-xlib/ldb/tests/test-tdb.sh4
-rwxr-xr-xnsswitch/tests/test_wbinfo.sh2
-rwxr-xr-xselftest/selftest.pl14
-rw-r--r--selftest/selftesthelpers.py2
-rw-r--r--selftest/target/Samba.pm8
-rwxr-xr-xselftest/target/Samba3.pm4
-rw-r--r--selftest/target/Samba4.pm6
-rwxr-xr-xsource4/client/tests/test_cifsdd.sh2
-rwxr-xr-xsource4/client/tests/test_smbclient.sh2
-rwxr-xr-xsource4/setup/tests/blackbox_s3upgrade.sh6
-rwxr-xr-xsource4/torture/tests/test_gentest.sh2
-rwxr-xr-xsource4/torture/tests/test_locktest.sh2
-rwxr-xr-xsource4/torture/tests/test_masktest.sh2
-rwxr-xr-xsource4/utils/tests/test_demote.sh4
-rwxr-xr-xsource4/utils/tests/test_nmblookup.sh2
-rwxr-xr-xsource4/utils/tests/test_samba_tool.sh4
-rwxr-xr-xtestprogs/blackbox/test_chgdcpass.sh4
-rwxr-xr-xtestprogs/blackbox/test_export_keytab.sh6
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh14
-rwxr-xr-xtestprogs/blackbox/test_ktpass.sh2
-rwxr-xr-xtestprogs/blackbox/test_ldb.sh2
-rwxr-xr-xtestprogs/blackbox/test_passwords.sh12
-rwxr-xr-xtestprogs/blackbox/test_pkinit.sh14
26 files changed, 110 insertions, 122 deletions
diff --git a/lib/ldb/tests/test-extended.sh b/lib/ldb/tests/test-extended.sh
index 14b988e3f9..0599757cc5 100755
--- a/lib/ldb/tests/test-extended.sh
+++ b/lib/ldb/tests/test-extended.sh
@@ -4,7 +4,7 @@ echo "Running extended search tests"
mv $LDB_URL $LDB_URL.1
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: cn=testrec1,cn=TEST
i1: 1
i2: 0
@@ -38,10 +38,10 @@ EOF
checkcount() {
count=$1
expression="$2"
- n=`$VALGRIND ldbsearch$EXEEXT "$expression" | grep '^dn' | wc -l`
+ n=`$VALGRIND ldbsearch "$expression" | grep '^dn' | wc -l`
if [ $n != $count ]; then
echo "Got $n but expected $count for $expression"
- $VALGRIND ldbsearch$EXEEXT "$expression"
+ $VALGRIND ldbsearch "$expression"
exit 1
fi
echo "OK: $count $expression"
diff --git a/lib/ldb/tests/test-generic.sh b/lib/ldb/tests/test-generic.sh
index 7c3db4a411..9c45ed9614 100755
--- a/lib/ldb/tests/test-generic.sh
+++ b/lib/ldb/tests/test-generic.sh
@@ -8,87 +8,87 @@ fi
echo "LDB_URL: $LDB_URL"
echo "Adding base elements"
-$VALGRIND ldbadd$EXEEXT $LDBDIR/tests/test.ldif || exit 1
+$VALGRIND ldbadd $LDBDIR/tests/test.ldif || exit 1
echo "Adding again - should fail"
-$VALGRIND ldbadd$EXEEXT $LDBDIR/tests/test.ldif 2> /dev/null && {
+$VALGRIND ldbadd $LDBDIR/tests/test.ldif 2> /dev/null && {
echo "Should have failed to add again - gave $?"
exit 1
}
echo "Modifying elements"
-$VALGRIND ldbmodify$EXEEXT $LDBDIR/tests/test-modify.ldif || exit 1
+$VALGRIND ldbmodify $LDBDIR/tests/test-modify.ldif || exit 1
echo "Showing modified record"
-$VALGRIND ldbsearch$EXEEXT '(uid=uham)' || exit 1
+$VALGRIND ldbsearch '(uid=uham)' || exit 1
echo "Rename entry with ldbmodify - modrdn"
-$VALGRIND ldbmodify$EXEEXT $LDBDIR/tests/test-modify-modrdn.ldif || exit 1
+$VALGRIND ldbmodify $LDBDIR/tests/test-modify-modrdn.ldif || exit 1
echo "Rename entry with ldbrename"
OLDDN="cn=Ursula Hampster,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST"
NEWDN="cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST"
-$VALGRIND ldbrename$EXEEXT "$OLDDN" "$NEWDN" || exit 1
+$VALGRIND ldbrename "$OLDDN" "$NEWDN" || exit 1
echo "Showing renamed record"
-$VALGRIND ldbsearch$EXEEXT '(uid=uham)' || exit 1
+$VALGRIND ldbsearch '(uid=uham)' || exit 1
echo "Starting ldbtest"
-$VALGRIND ldbtest$EXEEXT --num-records 100 --num-searches 10 || exit 1
+$VALGRIND ldbtest --num-records 100 --num-searches 10 || exit 1
if [ $LDB_SPECIALS = 1 ]; then
echo "Adding index"
- $VALGRIND ldbadd$EXEEXT $LDBDIR/tests/test-index.ldif || exit 1
+ $VALGRIND ldbadd $LDBDIR/tests/test-index.ldif || exit 1
fi
echo "Adding bad attributes - should fail"
-$VALGRIND ldbadd$EXEEXT $LDBDIR/tests/test-wrong_attributes.ldif && {
+$VALGRIND ldbadd $LDBDIR/tests/test-wrong_attributes.ldif && {
echo "Should fhave failed - gave $?"
exit 1
}
echo "Testing indexed search"
-$VALGRIND ldbsearch$EXEEXT '(uid=uham)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(&(objectclass=person)(objectclass=person)(objectclass=top))' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(&(uid=uham)(uid=uham))' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(|(uid=uham)(uid=uham))' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(|(uid=uham)(uid=uham)(objectclass=OpenLDAPperson))' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(&(uid=uham)(uid=uham)(!(objectclass=xxx)))' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(&(objectclass=person)(uid=uham)(!(uid=uhamxx)))' uid \* \+ dn || exit 1
-$VALGRIND ldbsearch$EXEEXT '(&(uid=uham)(uid=uha*)(title=*))' uid || exit 1
+$VALGRIND ldbsearch '(uid=uham)' || exit 1
+$VALGRIND ldbsearch '(&(objectclass=person)(objectclass=person)(objectclass=top))' || exit 1
+$VALGRIND ldbsearch '(&(uid=uham)(uid=uham))' || exit 1
+$VALGRIND ldbsearch '(|(uid=uham)(uid=uham))' || exit 1
+$VALGRIND ldbsearch '(|(uid=uham)(uid=uham)(objectclass=OpenLDAPperson))' || exit 1
+$VALGRIND ldbsearch '(&(uid=uham)(uid=uham)(!(objectclass=xxx)))' || exit 1
+$VALGRIND ldbsearch '(&(objectclass=person)(uid=uham)(!(uid=uhamxx)))' uid \* \+ dn || exit 1
+$VALGRIND ldbsearch '(&(uid=uham)(uid=uha*)(title=*))' uid || exit 1
echo "Testing invalid search expression"
-$VALGRIND ldbsearch$EXEEXT '(&(uid=uham)(title=foo\blah))' uid && exit 1
+$VALGRIND ldbsearch '(&(uid=uham)(title=foo\blah))' uid && exit 1
# note that the "((" is treated as an attribute not an expression
# this matches the openldap ldapsearch behaviour of looking for a '='
# to see if the first argument is an expression or not
-$VALGRIND ldbsearch$EXEEXT '((' uid || exit 1
-$VALGRIND ldbsearch$EXEEXT '(objectclass=)' uid || exit 1
-$VALGRIND ldbsearch$EXEEXT -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST' -s base "" sn || exit 1
+$VALGRIND ldbsearch '((' uid || exit 1
+$VALGRIND ldbsearch '(objectclass=)' uid || exit 1
+$VALGRIND ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST' -s base "" sn || exit 1
echo "Test wildcard match"
-$VALGRIND ldbadd$EXEEXT $LDBDIR/tests/test-wildcard.ldif || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=test*multi)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=*test*multi*)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=*test_multi)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=test_multi*)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=test*multi*test*multi)' || exit 1
-$VALGRIND ldbsearch$EXEEXT '(cn=test*multi*test*multi*multi_*)' || exit 1
+$VALGRIND ldbadd $LDBDIR/tests/test-wildcard.ldif || exit 1
+$VALGRIND ldbsearch '(cn=test*multi)' || exit 1
+$VALGRIND ldbsearch '(cn=*test*multi*)' || exit 1
+$VALGRIND ldbsearch '(cn=*test_multi)' || exit 1
+$VALGRIND ldbsearch '(cn=test_multi*)' || exit 1
+$VALGRIND ldbsearch '(cn=test*multi*test*multi)' || exit 1
+$VALGRIND ldbsearch '(cn=test*multi*test*multi*multi_*)' || exit 1
echo "Starting ldbtest indexed"
-$VALGRIND ldbtest$EXEEXT --num-records 100 --num-searches 500 || exit 1
+$VALGRIND ldbtest --num-records 100 --num-searches 500 || exit 1
echo "Testing one level search"
-count=`$VALGRIND ldbsearch$EXEEXT -b 'ou=Groups,o=University of Michigan,c=TEST' -s one 'objectclass=*' none |grep '^dn' | wc -l`
+count=`$VALGRIND ldbsearch -b 'ou=Groups,o=University of Michigan,c=TEST' -s one 'objectclass=*' none |grep '^dn' | wc -l`
if [ $count != 3 ]; then
echo returned $count records - expected 3
exit 1
fi
echo "Testing binary file attribute value"
-$VALGRIND ldbmodify$EXEEXT $LDBDIR/tests/photo.ldif || exit 1
-count=`$VALGRIND ldbsearch$EXEEXT '(cn=Hampster Ursula)' jpegPhoto | grep '^dn' | wc -l`
+$VALGRIND ldbmodify $LDBDIR/tests/photo.ldif || exit 1
+count=`$VALGRIND ldbsearch '(cn=Hampster Ursula)' jpegPhoto | grep '^dn' | wc -l`
if [ $count != 1 ]; then
echo returned $count records - expected 1
exit 1
@@ -97,13 +97,13 @@ fi
echo "*TODO* Testing UTF8 upper lower case searches !!"
echo "Testing compare"
-count=`$VALGRIND ldbsearch$EXEEXT '(cn>=t)' cn | grep '^dn' | wc -l`
+count=`$VALGRIND ldbsearch '(cn>=t)' cn | grep '^dn' | wc -l`
if [ $count != 2 ]; then
echo returned $count records - expected 2
echo "this fails on openLdap ..."
fi
-count=`$VALGRIND ldbsearch$EXEEXT '(cn<=t)' cn | grep '^dn' | wc -l`
+count=`$VALGRIND ldbsearch '(cn<=t)' cn | grep '^dn' | wc -l`
if [ $count != 13 ]; then
echo returned $count records - expected 13
echo "this fails on openLdap ..."
@@ -114,7 +114,7 @@ checkcount() {
scope=$2
basedn=$3
expression="$4"
- n=`$VALGRIND ldbsearch$EXEEXT -s "$scope" -b "$basedn" "$expression" | grep '^dn' | wc -l`
+ n=`$VALGRIND ldbsearch -s "$scope" -b "$basedn" "$expression" | grep '^dn' | wc -l`
if [ $n != $count ]; then
echo "Got $n but expected $count for $expression"
bin/ldbsearch "$expression"
diff --git a/lib/ldb/tests/test-tdb-features.sh b/lib/ldb/tests/test-tdb-features.sh
index d4248366ca..14437ffb9a 100644
--- a/lib/ldb/tests/test-tdb-features.sh
+++ b/lib/ldb/tests/test-tdb-features.sh
@@ -7,17 +7,17 @@ mv $LDB_URL $LDB_URL.2
checkcount() {
count=$1
expression="$2"
- n=`$VALGRIND ldbsearch$EXEEXT "$expression" | grep '^dn' | wc -l`
+ n=`$VALGRIND ldbsearch "$expression" | grep '^dn' | wc -l`
if [ $n != $count ]; then
echo "Got $n but expected $count for $expression"
- $VALGRIND ldbsearch$EXEEXT "$expression"
+ $VALGRIND ldbsearch "$expression"
exit 1
fi
echo "OK: $count $expression"
}
echo "Testing case sensitive search"
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: cn=t1,cn=TEST
objectClass: testclass
test: foo
@@ -27,20 +27,20 @@ checkcount 0 '(test=FOO)'
checkcount 0 '(test=FO*)'
echo "Making case insensitive"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @ATTRIBUTES
changetype: add
add: test
test: CASE_INSENSITIVE
EOF
-echo $ldif | $VALGRIND ldbmodify$EXEEXT || exit 1
+echo $ldif | $VALGRIND ldbmodify || exit 1
checkcount 1 '(test=foo)'
checkcount 1 '(test=FOO)'
checkcount 1 '(test=fo*)'
echo "adding i"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: cn=t1,cn=TEST
changetype: modify
add: i
@@ -50,7 +50,7 @@ checkcount 1 '(i=0x100)'
checkcount 0 '(i=256)'
echo "marking i as INTEGER"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @ATTRIBUTES
changetype: modify
add: i
@@ -60,7 +60,7 @@ checkcount 1 '(i=0x100)'
checkcount 1 '(i=256)'
echo "adding j"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: cn=t1,cn=TEST
changetype: modify
add: j
@@ -70,7 +70,7 @@ checkcount 1 '(j=0x100)'
checkcount 0 '(j=256)'
echo "Adding wildcard attribute"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @ATTRIBUTES
changetype: modify
add: *
@@ -84,7 +84,7 @@ checkcount 0 '(objectClass=otherclass)'
checkcount 1 '(objectClass=testclass)'
echo "Adding index"
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: @INDEXLIST
@IDXATTR: i
@IDXATTR: test
@@ -97,7 +97,7 @@ checkcount 1 '(test=FOO)'
checkcount 1 '(test=*f*o)'
echo "making test case sensitive"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @ATTRIBUTES
changetype: modify
replace: test
@@ -111,17 +111,17 @@ checkone() {
count=$1
base="$2"
expression="$3"
- n=`$VALGRIND ldbsearch$EXEEXT -s one -b "$base" "$expression" | grep '^dn' | wc -l`
+ n=`$VALGRIND ldbsearch -s one -b "$base" "$expression" | grep '^dn' | wc -l`
if [ $n != $count ]; then
echo "Got $n but expected $count for $expression"
- $VALGRIND ldbsearch$EXEEXT -s one -b "$base" "$expression"
+ $VALGRIND ldbsearch -s one -b "$base" "$expression"
exit 1
fi
echo "OK: $count $expression"
}
echo "Removing wildcard attribute"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @ATTRIBUTES
changetype: modify
delete: *
@@ -129,7 +129,7 @@ delete: *
EOF
echo "Adding one level indexes"
-cat <<EOF | $VALGRIND ldbmodify$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbmodify || exit 1
dn: @INDEXLIST
changetype: modify
add: @IDXONE
@@ -137,14 +137,14 @@ add: @IDXONE
EOF
echo "Testing one level indexed search"
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: cn=one,cn=t1,cn=TEST
objectClass: oneclass
cn: one
test: one
EOF
checkone 1 "cn=t1,cn=TEST" '(test=one)'
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: cn=two,cn=t1,cn=TEST
objectClass: oneclass
cn: two
diff --git a/lib/ldb/tests/test-tdb.sh b/lib/ldb/tests/test-tdb.sh
index 9da1e57060..c2285a93f1 100755
--- a/lib/ldb/tests/test-tdb.sh
+++ b/lib/ldb/tests/test-tdb.sh
@@ -17,12 +17,12 @@ if [ -z "$LDBDIR" ]; then
export LDBDIR
fi
-cat <<EOF | $VALGRIND ldbadd$EXEEXT || exit 1
+cat <<EOF | $VALGRIND ldbadd || exit 1
dn: @MODULES
@LIST: rdn_name
EOF
-$VALGRIND ldbadd$EXEEXT $LDBDIR/tests/init.ldif || exit 1
+$VALGRIND ldbadd $LDBDIR/tests/init.ldif || exit 1
. $LDBDIR/tests/test-generic.sh
diff --git a/nsswitch/tests/test_wbinfo.sh b/nsswitch/tests/test_wbinfo.sh
index 50f1274df7..52e203f02d 100755
--- a/nsswitch/tests/test_wbinfo.sh
+++ b/nsswitch/tests/test_wbinfo.sh
@@ -15,7 +15,7 @@ shift 4
failed=0
samba4bindir="$BINDIR"
-wbinfo="$VALGRIND $samba4bindir/wbinfo$EXEEXT"
+wbinfo="$VALGRIND $samba4bindir/wbinfo"
. `dirname $0`/../../testprogs/blackbox/subunit.sh
diff --git a/selftest/selftest.pl b/selftest/selftest.pl
index c56f31f376..e5ccbd8f37 100755
--- a/selftest/selftest.pl
+++ b/selftest/selftest.pl
@@ -26,7 +26,7 @@ selftest - Samba test runner
selftest --help
-selftest [--srcdir=DIR] [--bindir=DIR] [--exeext=EXT][--target=samba|samba3|win] [--socket-wrapper] [--quick] [--exclude=FILE] [--include=FILE] [--one] [--prefix=prefix] [--testlist=FILE] [TESTS]
+selftest [--srcdir=DIR] [--bindir=DIR] [--target=samba|samba3|win] [--socket-wrapper] [--quick] [--exclude=FILE] [--include=FILE] [--one] [--prefix=prefix] [--testlist=FILE] [TESTS]
=head1 DESCRIPTION
@@ -48,10 +48,6 @@ Source directory.
Built binaries directory.
-=item I<--exeext=EXT>
-
-Executable extention
-
=item I<--prefix=DIR>
Change directory to run tests in. Default is 'st'.
@@ -161,7 +157,6 @@ my @testlists = ();
my $srcdir = ".";
my $bindir = "./bin";
-my $exeext = "";
my $prefix = "./st";
my @includes = ();
@@ -306,7 +301,6 @@ Paths:
--prefix=DIR prefix to run tests in [st]
--srcdir=DIR source directory [.]
--bindir=DIR binaries directory [./bin]
- --exeext=EXT executable extention []
Target Specific:
--socket-wrapper-pcap save traffic to pcap directories
@@ -340,7 +334,6 @@ my $result = GetOptions (
'include=s' => \@opt_include,
'srcdir=s' => \$srcdir,
'bindir=s' => \$bindir,
- 'exeext=s' => \$exeext,
'verbose' => \$opt_verbose,
'testenv' => \$opt_testenv,
'list' => \$opt_list,
@@ -418,7 +411,6 @@ $ENV{PREFIX_ABS} = $prefix_abs;
$ENV{SRCDIR} = $srcdir;
$ENV{SRCDIR_ABS} = $srcdir_abs;
$ENV{BINDIR} = $bindir_abs;
-$ENV{EXEEXT} = $exeext;
my $tls_enabled = not $opt_quick;
$ENV{TLS_ENABLED} = ($tls_enabled?"yes":"no");
@@ -485,14 +477,14 @@ unless ($opt_list) {
}
$testenv_default = "dc";
require target::Samba;
- $target = new Samba($bindir, \%binary_mapping, $ldap, $srcdir, $exeext, $server_maxtime);
+ $target = new Samba($bindir, \%binary_mapping, $ldap, $srcdir, $server_maxtime);
} elsif ($opt_target eq "samba3") {
if ($opt_socket_wrapper and `$bindir/smbd -b | grep SOCKET_WRAPPER` eq "") {
die("You must include --enable-socket-wrapper when compiling Samba in order to execute 'make test'. Exiting....");
}
$testenv_default = "member";
require target::Samba3;
- $target = new Samba3($bindir, \%binary_mapping, $srcdir_abs, $exeext, $server_maxtime);
+ $target = new Samba3($bindir, \%binary_mapping, $srcdir_abs, $server_maxtime);
} elsif ($opt_target eq "win") {
die("Windows tests will not run with socket wrapper enabled.")
if ($opt_socket_wrapper);
diff --git a/selftest/selftesthelpers.py b/selftest/selftesthelpers.py
index fc81c63664..991574e05f 100644
--- a/selftest/selftesthelpers.py
+++ b/selftest/selftesthelpers.py
@@ -36,7 +36,7 @@ binary_mapping = {}
def binpath(name):
if name in binary_mapping:
name = binary_mapping[name]
- return os.path.join(bindir(), "%s%s" % (name, os.getenv("EXEEXT", "")))
+ return os.path.join(bindir(), name)
binary_mapping_string = os.getenv("BINARY_MAPPING", None)
if binary_mapping_string is not None:
diff --git a/selftest/target/Samba.pm b/selftest/target/Samba.pm
index d993611eda..64bc405137 100644
--- a/selftest/target/Samba.pm
+++ b/selftest/target/Samba.pm
@@ -10,11 +10,11 @@ use target::Samba3;
use target::Samba4;
sub new($$$$$) {
- my ($classname, $bindir, $binary_mapping,$ldap, $srcdir, $exeext, $server_maxtime) = @_;
+ my ($classname, $bindir, $binary_mapping,$ldap, $srcdir, $server_maxtime) = @_;
my $self = {
- samba3 => new Samba3($bindir,$binary_mapping, $srcdir, $exeext, $server_maxtime),
- samba4 => new Samba4($bindir,$binary_mapping, $ldap, $srcdir, $exeext, $server_maxtime),
+ samba3 => new Samba3($bindir,$binary_mapping, $srcdir, $server_maxtime),
+ samba4 => new Samba4($bindir,$binary_mapping, $ldap, $srcdir, $server_maxtime),
};
bless $self;
return $self;
@@ -53,7 +53,7 @@ sub bindir_path($$) {
$path = $object->{binary_mapping}->{$path};
}
- my $valpath = "$object->{bindir}/$path$object->{exeext}";
+ my $valpath = "$object->{bindir}/$path";
return $valpath if (-f $valpath);
return $path;
diff --git a/selftest/target/Samba3.pm b/selftest/target/Samba3.pm
index 10f673ffcf..b710d5466d 100755
--- a/selftest/target/Samba3.pm
+++ b/selftest/target/Samba3.pm
@@ -12,13 +12,11 @@ use POSIX;
use target::Samba;
sub new($$) {
- my ($classname, $bindir, $binary_mapping, $srcdir, $exeext, $server_maxtime) = @_;
- $exeext = "" unless defined($exeext);
+ my ($classname, $bindir, $binary_mapping, $srcdir, $server_maxtime) = @_;
my $self = { vars => {},
bindir => $bindir,
binary_mapping => $binary_mapping,
srcdir => $srcdir,
- exeext => $exeext,
server_maxtime => $server_maxtime
};
bless $self;
diff --git a/selftest/target/Samba4.pm b/selftest/target/Samba4.pm
index fa7988f67a..52c6d680d7 100644
--- a/selftest/target/Samba4.pm
+++ b/selftest/target/Samba4.pm
@@ -14,8 +14,7 @@ use target::Samba;
use target::Samba3;
sub new($$$$$) {
- my ($classname, $bindir, $binary_mapping, $ldap, $srcdir, $exeext, $server_maxtime) = @_;
- $exeext = "" unless defined($exeext);
+ my ($classname, $bindir, $binary_mapping, $ldap, $srcdir, $server_maxtime) = @_;
my $self = {
vars => {},
@@ -23,9 +22,8 @@ sub new($$$$$) {
bindir => $bindir,
binary_mapping => $binary_mapping,
srcdir => $srcdir,
- exeext => $exeext,
server_maxtime => $server_maxtime,
- target3 => new Samba3($bindir, $binary_mapping, $srcdir, $exeext, $server_maxtime)
+ target3 => new Samba3($bindir, $binary_mapping, $srcdir, $server_maxtime)
};
bless $self;
return $self;
diff --git a/source4/client/tests/test_cifsdd.sh b/source4/client/tests/test_cifsdd.sh
index 448e4218bd..e59d37ae7b 100755
--- a/source4/client/tests/test_cifsdd.sh
+++ b/source4/client/tests/test_cifsdd.sh
@@ -17,7 +17,7 @@ DOMAIN=$4
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
samba4bindir="$BINDIR"
-DD="$samba4bindir/cifsdd$EXEEXT"
+DD="$samba4bindir/cifsdd"
SHARE=tmp
DEBUGLEVEL=1
diff --git a/source4/client/tests/test_smbclient.sh b/source4/client/tests/test_smbclient.sh
index 76ca5b960b..599eb70522 100755
--- a/source4/client/tests/test_smbclient.sh
+++ b/source4/client/tests/test_smbclient.sh
@@ -19,7 +19,7 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-smbclient="$samba4bindir/smbclient$EXEEXT"
+smbclient="$samba4bindir/smbclient"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
diff --git a/source4/setup/tests/blackbox_s3upgrade.sh b/source4/setup/tests/blackbox_s3upgrade.sh
index b9e500dd01..d8f5d8fced 100755
--- a/source4/setup/tests/blackbox_s3upgrade.sh
+++ b/source4/setup/tests/blackbox_s3upgrade.sh
@@ -11,9 +11,9 @@ PREFIX=`pwd`"/$1"
shift 1
samba4bindir="$BINDIR"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
-samba_net="$samba4bindir/net$EXEEXT"
-testparm="$samba4bindir/testparm$EXEEXT"
+samba_tool="$samba4bindir/samba-tool"
+samba_net="$samba4bindir/net"
+testparm="$samba4bindir/testparm"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
diff --git a/source4/torture/tests/test_gentest.sh b/source4/torture/tests/test_gentest.sh
index 9f6e60c307..ecce7d7c6d 100755
--- a/source4/torture/tests/test_gentest.sh
+++ b/source4/torture/tests/test_gentest.sh
@@ -19,7 +19,7 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-gentest="$samba4bindir/gentest$EXEEXT"
+gentest="$samba4bindir/gentest"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
diff --git a/source4/torture/tests/test_locktest.sh b/source4/torture/tests/test_locktest.sh
index e1d2a1ade4..c436836353 100755
--- a/source4/torture/tests/test_locktest.sh
+++ b/source4/torture/tests/test_locktest.sh
@@ -19,7 +19,7 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-locktest="$samba4bindir/locktest$EXEEXT"
+locktest="$samba4bindir/locktest"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
diff --git a/source4/torture/tests/test_masktest.sh b/source4/torture/tests/test_masktest.sh
index b3362e8960..83f2f5d72e 100755
--- a/source4/torture/tests/test_masktest.sh
+++ b/source4/torture/tests/test_masktest.sh
@@ -19,7 +19,7 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-masktest="$samba4bindir/masktest$EXEEXT"
+masktest="$samba4bindir/masktest"
. `dirname $0`/../../../testprogs/blackbox/subunit.sh
diff --git a/source4/utils/tests/test_demote.sh b/source4/utils/tests/test_demote.sh
index 3b2b7d2d0e..3d255ed91f 100755
--- a/source4/utils/tests/test_demote.sh
+++ b/source4/utils/tests/test_demote.sh
@@ -13,8 +13,8 @@ shift 7
failed=0
samba4bindir="$BINDIR"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba_tool="$samba4bindir/samba-tool"
testit() {
name="$1"
diff --git a/source4/utils/tests/test_nmblookup.sh b/source4/utils/tests/test_nmblookup.sh
index b6ab7e01e5..c622db94c8 100755
--- a/source4/utils/tests/test_nmblookup.sh
+++ b/source4/utils/tests/test_nmblookup.sh
@@ -27,7 +27,7 @@ testit() {
}
samba4bindir="$BINDIR"
-nmblookup="$samba4bindir/nmblookup$EXEEXT"
+nmblookup="$samba4bindir/nmblookup"
testit "nmblookup -U \$SERVER_IP \$SERVER" $nmblookup $TORTURE_OPTIONS -U $SERVER_IP $SERVER
testit "nmblookup -U \$SERVER_IP \$NETBIOSNAME" $nmblookup $TORTURE_OPTIONS -U $SERVER_IP $NETBIOSNAME
diff --git a/source4/utils/tests/test_samba_tool.sh b/source4/utils/tests/test_samba_tool.sh
index fb8e3e092f..0e03ee4d75 100755
--- a/source4/utils/tests/test_samba_tool.sh
+++ b/source4/utils/tests/test_samba_tool.sh
@@ -11,8 +11,8 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba_tool="$samba4bindir/samba-tool"
testit() {
name="$1"
diff --git a/testprogs/blackbox/test_chgdcpass.sh b/testprogs/blackbox/test_chgdcpass.sh
index d54cfeff10..66c1e57359 100755
--- a/testprogs/blackbox/test_chgdcpass.sh
+++ b/testprogs/blackbox/test_chgdcpass.sh
@@ -22,8 +22,8 @@ failed=0
samba4bindir="$BINDIR"
samba4srcdir="$SRCDIR/source4"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba4kinit="$samba4bindir/samba4kinit"
machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
diff --git a/testprogs/blackbox/test_export_keytab.sh b/testprogs/blackbox/test_export_keytab.sh
index a2debfef1c..14122bfe71 100755
--- a/testprogs/blackbox/test_export_keytab.sh
+++ b/testprogs/blackbox/test_export_keytab.sh
@@ -19,9 +19,9 @@ shift 5
failed=0
samba4bindir="$BINDIR"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba4kinit="$samba4bindir/samba4kinit"
+samba_tool="$samba4bindir/samba-tool"
newuser="$samba_tool user create"
. `dirname $0`/subunit.sh
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 293115fc09..981987d03f 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -22,13 +22,13 @@ failed=0
samba4bindir="$BINDIR"
samba4srcdir="$SRCDIR/source4"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
-ldbmodify="$samba4bindir/ldbmodify$EXEEXT"
-ldbsearch="$samba4bindir/ldbsearch$EXEEXT"
-rkpty="$samba4bindir/rkpty$EXEEXT"
-samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba4kinit="$samba4bindir/samba4kinit"
+samba_tool="$samba4bindir/samba-tool"
+ldbmodify="$samba4bindir/ldbmodify"
+ldbsearch="$samba4bindir/ldbsearch"
+rkpty="$samba4bindir/rkpty"
+samba4kpasswd="$samba4bindir/samba4kpasswd"
enableaccount="$samba_tool user enable"
machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
index 348916d779..f9672facab 100755
--- a/testprogs/blackbox/test_ktpass.sh
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -16,7 +16,7 @@ shift 1
samba_tool="$BINDIR/samba-tool"
samba4bindir="$BINDIR"
samba4srcdir="$SRCDIR/source4"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
+samba4kinit="$samba4bindir/samba4kinit"
CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
TESTUSER="ktpassUser"
diff --git a/testprogs/blackbox/test_ldb.sh b/testprogs/blackbox/test_ldb.sh
index 644e344823..1609a95d06 100755
--- a/testprogs/blackbox/test_ldb.sh
+++ b/testprogs/blackbox/test_ldb.sh
@@ -34,7 +34,7 @@ check() {
export PATH="$BINDIR:$PATH"
-ldbsearch="$VALGRIND ldbsearch$EXEEXT"
+ldbsearch="$VALGRIND ldbsearch"
check "RootDSE" $ldbsearch $CONFIGURATION $options --basedn='' -H $p://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
diff --git a/testprogs/blackbox/test_passwords.sh b/testprogs/blackbox/test_passwords.sh
index 9e65b3095b..c83b46b4fc 100755
--- a/testprogs/blackbox/test_passwords.sh
+++ b/testprogs/blackbox/test_passwords.sh
@@ -20,12 +20,12 @@ shift 6
failed=0
samba4bindir="$BINDIR"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
-smbpasswd="$samba4bindir/smbpasswd$EXEEXT"
-rkpty="$samba4bindir/rkpty$EXEEXT"
-samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba4kinit="$samba4bindir/samba4kinit"
+samba_tool="$samba4bindir/samba-tool"
+smbpasswd="$samba4bindir/smbpasswd"
+rkpty="$samba4bindir/rkpty"
+samba4kpasswd="$samba4bindir/samba4kpasswd"
newuser="$samba_tool user create"
. `dirname $0`/subunit.sh
diff --git a/testprogs/blackbox/test_pkinit.sh b/testprogs/blackbox/test_pkinit.sh
index b4e91e782a..f5caccd390 100755
--- a/testprogs/blackbox/test_pkinit.sh
+++ b/testprogs/blackbox/test_pkinit.sh
@@ -22,13 +22,13 @@ failed=0
samba4bindir="$BINDIR"
samba4srcdir="$SRCDIR/source4"
-smbclient="$samba4bindir/smbclient$EXEEXT"
-samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-samba_tool="$samba4bindir/samba-tool$EXEEXT"
-ldbmodify="$samba4bindir/ldbmodify$EXEEXT"
-ldbsearch="$samba4bindir/ldbsearch$EXEEXT"
-rkpty="$samba4bindir/rkpty$EXEEXT"
-samba4kpasswd="$samba4bindir/samba4kpasswd$EXEEXT"
+smbclient="$samba4bindir/smbclient"
+samba4kinit="$samba4bindir/samba4kinit"
+samba_tool="$samba4bindir/samba-tool"
+ldbmodify="$samba4bindir/ldbmodify"
+ldbsearch="$samba4bindir/ldbsearch"
+rkpty="$samba4bindir/rkpty"
+samba4kpasswd="$samba4bindir/samba4kpasswd"
enableaccount="$samba_tool user enable"
machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"